<!DOCTYPE html>
<html>

<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="style.css">
    <title>Chat App</title>
    
    <script src="https://js.pusher.com/5.0/pusher.min.js"></script>
    <script>
        var pusher = new Pusher('c21bc1c7f5c665c6d834', {
            cluster: 'ap2',
            forceTLS: true
        });

        var channel = pusher.subscribe('messages');
        channel.bind('message-added', function(data) {
            appendMessage(data);
        });
    </script>
</head>

<header>
    <h1>Chat App</h1>
</header>

<body>
    <div class="container">
        <div class="channelList">
            <h2>Channels</h2>
            <div id="addChannel">
                <input id="inputChannelName" type="text" placeholder="Add Channel Name">
                <button id="addChannelButton" onclick = "addChannelToDb(); window.location.reload();" type="submit">Add channel</button>
            </div>
            <div id="channelNames">
            </div>
        </div>
        <div class="channelMessages">
            <div id="channelName">
            </div>
            <div id="messages">
            </div>
            <form id="sendMessage">
                <input id="messageInput" type="text" placeholder="Type your message here">
                <button id="messageButton" onclick = "sendMessageToDb()" type="button">Send Message</button>
            </form>
        </div>    
    </div>
    <script src="main.js"></script>
</body>

</html>